Appearance
POST
/estore/raw-purchase/purchasesRequired scopes (Any):
viskan:order:create, viskan:subscription:createCreates a new raw purchase with the given information.
Request body
JSON
{
"additionalOrderText": "...",
"address": {
"addressLine1": "Druveforsvägen 8",
"administrativeDivision": "...",
"careOf": "...",
"city": "BORÅS",
"countryCode": "SE",
"zipcode": "50454"
},
"alternativeEmailAddress": "...",
"cellphone": "...",
"companyName": "...",
"customFields": [
{
"code": "...",
"value": "..."
}
],
"customerNumber": "...",
"dateOfBirth": "...",
"deliveryAddress": {
"addressLine1": "Druveforsvägen 8",
"administrativeDivision": "...",
"careOf": "...",
"city": "BORÅS",
"companyName": "Viskan System AB",
"countryCode": "SE",
"firstName": "...",
"lastName": "...",
"zipcode": "50454"
},
"deliveryMethodName": "...",
"deliveryPointCode": "...",
"discount": 12345,
"email": "...",
"firstName": "...",
"flexibleSubscriptions": [
{
"createInitialOrderDirectly": true,
"interval": 12345,
"rows": [
{
"discounts": [...],
"priceLookUpNumber": "...",
"quantity": 1,
"stockKeepingUnitId": 12345,
"taxRate": 0.25,
"unitPriceExcludingTax": 12345,
"unitPriceIncludingTax": 12345
}
]
}
],
"gender": "...",
"googleAnalyticsId": "...",
"integrities": "EMAIL_INFO",
"integritiesMap": {
"EMAIL_INFO": true,
"SMS_INFO": false
},
"landline": "...",
"languageCode": "...",
"lastName": "...",
"marketingCampaignCode": "...",
"methodOfArrivalNumber": "...",
"nextDeliveryDate": "...",
"notes": "...",
"orderDate": "...",
"organizationNumber": "...",
"paymentFeeExcludingTax": 12345,
"paymentFeeIncludingTax": 12345,
"paymentFeeTaxRate": 12345,
"paymentMethodName": "...",
"paymentReferences": [
{
"amount": 12345,
"externalReference": "...",
"forOrder": true,
"forSubscription": true,
"parentReference": "...",
"paymentMethodCode": "...",
"paymentMethodType": "...",
"reference": "...",
"transactionType": "..."
}
],
"remoteAddress": "...",
"rows": [
{
"discountExcludingTax": 12345,
"discountIncludingTax": 12345,
"priceLookUpNumber": "...",
"quantity": 1,
"stockKeepingUnitId": 12345,
"taxRate": 0.25,
"unitPriceExcludingTax": 12345,
"unitPriceIncludingTax": 12345
}
],
"sellerDepartment": "...",
"sellerPerson": "...",
"serviceFeeExcludingTax": 12345,
"serviceFeeIncludingTax": 12345,
"serviceFeeTaxRate": 12345,
"shippingFeeExcludingTax": 12345,
"shippingFeeIncludingTax": 12345,
"shippingFeeTaxRate": 12345,
"socialSecurityNumber": "...",
"storeNumber": "...",
"subscriptions": [
{
"createInitialOrderDirectly": true,
"templateCode": "..."
}
],
"termsOfDeliveryCode": "...",
"termsOfPaymentCode": "..."
}
Response
The purchase was created successfully
JSON
{
"purchaseNumber": "..."
}